Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
(Updating to match new version of source page)
(47 intermediate revisions by 5 users not shown)
Line 1: Line 1:
=Arch_Add/fr=
+
<languages/>
{{GuiCommand/fr|Name=Arch Add|Name/fr=Arch Addition|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove/fr|Arch Remove]]}}
+
{{docnav/fr|[[Arch_CutPlane/fr|Couper suivant un Plan]]|[[Arch_Remove/fr|Soustraire]]|[[Arch_Module/fr|Atelier Architecture]]|IconL=Arch_CutPlane.svg |IconC=Workbench_Arch.svg |IconR=Arch_Remove.svg}}
==Description==
 
  
L'outil '''Ajouter''' [[Image:Arch Add.png|16px]] vous permet de faire 2 types d'opérations :
+
{{GuiCommand/fr
 +
|Name=Arch Add
 +
|Name/fr=Arch Addition
 +
|Workbenches=[[Arch Module/fr|Arch]]
 +
|MenuLocation=Arch → Add
 +
|SeeAlso=[[Arch Remove/fr|Arch Remove]]
 +
}}
  
* Ajouter un [[Part Module/fr|objet]] de base à un compososant '''Arch'''itecture, par exemple un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]] ou une [[Arch Structure/fr|structure]] [[File:Arch_Structure.png|16px]].<br>Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.
+
==Description==
* Ajouter des composants '''Arch''', comme des [[Arch Wall/fr|murs]] [[File:Arch_Wall.png|16px]] ou des [[Arch Structure/fr|structures]] [[File:Arch_Structure.png|16px]], dans une [[Arch Cell/fr|cellule]] [[File:Arch_Cell.png|16px]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]] [[File:Arch_Floor.png|16px]].
 
  
[[Image:Arch Add example.jpg]]
+
<div class="mw-translate-fuzzy">
  
Dans l'image ci-dessus, une boîte est ajoutée à une paroi.
+
L'outil Ajouter vous permet de faire 2 types d'opérations :
 +
* Ajouter un [[Part Module/fr|objet]] de base à un composant Architecture, par exemple un [[Arch Wall/fr|mur]] ou une [[Arch Structure/fr|structure]].
 +
Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.
 +
* Ajouter des composants Arch, comme des [[Arch Wall/fr|murs]] ou des [[Arch Structure/fr|structures]], dans une [[Arch Cell/fr|cellule]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]].
 +
</div>
  
==Utilisation==
+
La contrepartie de cet outil est l'outil [[Arch Remove/fr|Arch Effacer]].
  
* Sélectionnez l'objet ou les objets que vous devez ajouter (ici la boîte), puis sélectionnez l'objet '''hôte''' (mur) ''' (l'objet hôte (mur), doit toujours être le dernier objet sélectionné)'''.
+
[[Image:Arch Add example.jpg|640px]]
* Appuyez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|text-top=Ajoutert|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}.
+
{{Caption|Dans l'image ci-dessus, une boîte est ajoutée à un mur.}}
* Ajouter un {{KEY|[[Image:Arch_Axis.png|16px|text-top=Ajouter un système d'Axes dans le document|link=Arch_Axis/fr|Axes system]] [[Arch_Axis/fr|Système d'axes]]}} dans {{KEY|[[Image:Arch_Structure.png|16px|text-top=Élément structurel|link=Arch_Structure/fr]] [[Arch_Structure/fr|un objet structurel]]}}.
 
* Ajouter un objet dans un {{KEY|[[Image:Arch_SectionPlane.png|16px|text-top=Ajoute un plan de coupe au documen|link=Arch_SectionPlane/fr|plan de coupe]] [[Arch_SectionPlane/fr|plan de coupe]]}}.
 
  
 
==Utilisation==
 
==Utilisation==
  
 
# Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
 
# Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
# Puis cliquez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|text-top=Ajoutert|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}
+
# Cliquez sur le bouton {{Button|[[Image:Arch_Add.png|16px]] [[Arch_Add/fr|Ajouter]]}}
  
 
==Script==
 
==Script==
 +
{{Emphasis|Voir aussi:}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|Sripts de base FreeCAD]].
  
L'outil {{KEY|[[Image:Arch_Add.png|16px|text-top=Ajoutert|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
+
L'outil [[Arch_Add/fr|Ajouter]] peut être utilisé dans une [[macros/fr|macro]], ou dans la console [[Python/fr|Python]] en utilisant la fonction :
 +
{{Code|code=
 +
addComponents(objectsList, host)
 +
}}
  
'''addComponents (objectsList,hostObject)''': Ajoute l'objet, ou les objets de la liste donnée, sous forme de composant(s)
+
*Ajoute les {{incode|objets donnés}} comme des composants de l'objet {{incode|hôte}} donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
à l'objet hôte donné. Utilisé par exemple, pour ajouter des fenêtres à un mur, ou ajouter des murs au plancher.
+
* Retour : rien.
  
 
Exemple:
 
Exemple:
 +
{{Code|code=
 +
import FreeCAD, Arch, Draft, Part
 +
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(2000, 2000, 0)
 +
 +
Line = Draft.makeWire([p1, p2])
 +
Wall = Arch.makeWall(Line, width=150, height=2000)
 +
 +
p3 = FreeCAD.Vector(0, 2000, 0)
 +
p4 = FreeCAD.Vector(3000, 0, 0)
 +
 +
Line2 = Draft.makeWire([p3, p4])
 +
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
 +
FreeCAD.ActiveDocument.recompute()
  
import FreeCAD, Arch, Draft, Part
+
Arch.addComponents(Wall2, Wall)
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
+
FreeCAD.ActiveDocument.recompute()
wall = Arch.makeWall(line)
+
}}
box = Part.makeBox(1,1,1)
+
{{docnav/fr|[[Arch_CutPlane/fr|Couper suivant un Plan]]|[[Arch_Remove/fr|Soustraire]]|[[Arch_Module/fr|Atelier Architecture]]|IconL=Arch_CutPlane.svg |IconC=Workbench_Arch.svg |IconR=Arch_Remove.svg}}
Arch.addComponents(box,wall)
 
 
==Les outils de transformation Architecturaux==
 
  
[[Image:Arch_Add.png|32px|text-top=Ajoutert|link=Arch_Add/fr]]&nbsp;&nbsp;&nbsp;
+
{{Arch Tools navi/fr}}
[[Image:Arch_Remove.png|32px|text-top=Supprimer|link=Arch_Remove/fr]]&nbsp;&nbsp;&nbsp;
 
  
{{languages/fr | {{en|Arch_Add}} {{de|Arch_Add/de}} {{es|Arch_Add/es}} {{it|Arch_Add/it}} {{jp|Arch_Add/jp}} {{se|Arch_Add/se}} }}
+
{{Userdocnavi/fr}}

Revision as of 21:57, 20 January 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Arch CutPlane.svg Couper suivant un Plan
Page suivante: Soustraire Arch Remove.svg Arrow-right.svg

Arch Add.svg Arch Addition

Emplacement du menu
Arch → Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un composant Architecture, par exemple un mur ou une structure.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.

La contrepartie de cet outil est l'outil Arch Effacer.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à un mur.


Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Arch Add.png Ajouter

Script

Voir aussi: Arch API et Sripts de base FreeCAD.

L'outil Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents(objectsList, host)
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
  • Retour : rien.

Exemple:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch CutPlane.svg Couper suivant un Plan
Page suivante: Soustraire Arch Remove.svg Arrow-right.svg